Subject: bug#41200: Displaying a tooltip with x-show-tip gets very slow as more faces are defined

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 12 May 2021 22:29:47 +0200

Stefan Monnier <[email-masked]> writes:

> I just tried it on Emacs's `master` but for me it results in
>
>     src/emacs -Q
>
> opening up with most faces that don't use colors: the *scratch* buffer's
> comments are displayed in black+bold+italic, the mode-line has
> a black background.  A call of the form `(error "foo")` has foo display
> in black+italic and the `error symbol is displayed in reverse video
> (black background).

I tried the patch, too, and I'm seeing the same -- most faces are
different than they used to be, which is surely not what's supposed to
happen.

Jashank, have to continued working on this patch?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no